%global srcname pytz
%global sum World Timezone Definitions for Python
%global desc \
pytz brings the Olson tz database into Python. This library allows accurate \
and cross platform timezone calculations using Python 2.3 or higher. It \
also solves the issue of ambiguous times at the end of daylight savings, \
which you can read more about in the Python Library Reference \
(datetime.tzinfo). \
\
Almost all (over 540) of the Olson timezones are supported.

Name:           python3-%{srcname}
Version:        2017.2
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            http://pytz.sourceforge.net/
Source0:        https://pypi.io/packages/source/p/%{srcname}/%{srcname}-%{version}.zip
# Patch to use the system supplied zoneinfo files
Patch0:         pytz-zoneinfo.patch

BuildArch:      noarch

%description %{desc}

%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
Requires:       tzdata

%description -n python%{python3_pkgversion}-%{srcname} %{desc}
%endif

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{srcname}
Summary:        %{sum}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-pytest
Requires:       tzdata

%description -n python%{python3_other_pkgversion}-%{srcname} %{desc}
%endif


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .zoneinfo


%build
%py3_build
%py3_other_build


%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/pytz/zoneinfo
%if 0%{?with_python3_other}
%py3_other_install
rm -r %{buildroot}%{python3_other_sitelib}/pytz/zoneinfo
%endif


%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -v
%if 0%{?with_python3_other}
PYTHONPATH=%{buildroot}%{python3_other_sitelib} py.test-%{python3_other_version} -v
%endif


%files -n python%{python3_pkgversion}-pytz
%license LICENSE.txt
%doc CHANGES.txt README.txt
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info


%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-pytz
%license LICENSE.txt
%doc CHANGES.txt README.txt
%{python3_other_sitelib}/pytz/
%{python3_other_sitelib}/*.egg-info
%endif


%changelog
* Wed Oct 18 2017 Aurelien Bompard <abompard@fedoraproject.org> - 2017.2-2
- Build for python3_other

* Tue Aug 29 2017 Orion Poplawski <orion@cora.nwra.com> - 2017.2-1
- Update to 2017.2

* Tue Nov 8 2016 Orion Poplawski <orion@cora.nwra.com> - 2016.7-1
- Update to 2016.7

* Mon May 16 2016 Orion Poplawski <orion@cora.nwra.com> - 2016.4-1
- Initial EPEL7 package
